> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Payment Link

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json PATCH /payment_links/{id}/cancel
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payment_links/{id}/cancel:
    patch:
      summary: Cancel Payment Link
      operationId: cancel-payment-link
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: id
          in: path
          description: The ID of the Payment Link to cancel
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "id": "plink_K2zwNNSxPyx8w3GZ",
                      "object": "payment_link",
                      "created_at": "2024-08-02T20:28:13Z",
                      "mode": "test",
                      "url": "https://pay.fintoc.com/pl_K2zwNNSxPyx8w3GZ"
                      "metadata": {
                        "order": "#987654321",
                      },
                      "customer_email": "customer@example.com",
                      "username": "+521111111111",
                      "checkout_description": "Payment for the UX Design Course",
                      "amount": 1200,
                      "currency": "MXN",
                      "status": "canceled"
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````